lkml.org 
[lkml]   [2011]   [May]   [30]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
SubjectRe: [PATCH] depmod: Handle X.Y kernel versions
From
Date
On Mon, 2011-05-30 at 16:54 +0200, Michal Marek wrote:
> On 30.5.2011 16:43, Kay Sievers wrote:
> > On Mon, May 30, 2011 at 15:58, Michal Marek<mmarek@suse.cz> wrote:
> >> What a stupid check.
> >
> > Maybe get rid of the entire check?

> Why not. It tries to distinguish between
> depmod da.da.da (kernel version)
> and
> depmod /path/to/module.ko ... (only generate tables for listed modules)
>
> Either we can check for slashes in the second use case, or just drop
> support for it.

Well, for tonight I'm just killing off the 3 number check and taking the
patch from Michal that matches on two numbers (thanks Kyle for sending
another version earlier in the day too but we don't need to be quite so
cleaver, just distinguish between a version and module path passed in).
I'll post a separate email announcing a new release with this fix.

I know it's a silly check, but it's probably not the only silly check
out there in the wild world yonder. Part of me thinks it'd be better to
just keep it as 3.0.0 so that we don't have an ongoing series of script
explosions. Another part of me is just so excited to finally see a 3.0
release that I've forgotten about 2.6 entirely (that's /so/ last week).

Jon.




\
 
 \ /
  Last update: 2011-05-31 02:41    [from the cache]
©2003-2011 Jasper Spaans